<div class="app-letter-tag-list">
  <kendo-dropdowntree
    class="app-letter-tag-list-kdt"
    kendoDropDownTreeExpandable
    [kendoDropDownTreeHierarchyBinding]="nodes"
    textField="text"
    valueField="id"
    [value]="value"
    [clearButton]="false"
    [childrenField]="childrenField"
    [popupSettings]="{popupClass: 'app-letter-tag-list-kdt-popup'}"
    (valueChange)="changeVal()"
  >
    <ng-template kendoDropDownTreeNodeTemplate let-dataItem >
      <span *ngIf="!isNotChild(dataItem)">{{dataItem.text}}</span>
      <span class="cursor-move" draggable="true" (dragstart)="dragStart($event, dataItem)" *ngIf="isNotChild(dataItem)"><span *ngIf="isNotChild(dataItem)">{{</span> <span>{{dataItem.fieldName}}</span> <span *ngIf="isNotChild(dataItem)">}}</span> </span>
    </ng-template>
  </kendo-dropdowntree>
</div>
